=== debian/control ===
--- 
+++ 
@@ -1,14 +1,16 @@
 Source: chromium-browser
 Section: web
 Priority: optional
-Maintainer: Debian Chromium Maintainers <pkg-chromium-maint@lists.alioth.debian.org>
+Maintainer: Debian Chromium Team <chromium-browser@packages.debian.org>
 Uploaders:
  Michael Gilbert <mgilbert@debian.org>, Riku Voipio <riku.voipio@linaro.org>
-Vcs-Git: git://anonscm.debian.org/pkg-chromium/pkg-chromium.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-chromium/pkg-chromium.git
+Vcs-Git: https://salsa.debian.org/chromium-team/chromium.git
+Vcs-Browser: https://salsa.debian.org/chromium-team/chromium
 Homepage: http://www.chromium.org/Home
+Rules-Requires-Root: no
 Build-Depends:
- debhelper (>= 9),
+ debhelper (>= 11),
+ devscripts (>= 2.18.6),
  python3,
  pkg-config,
  ninja-build,
@@ -37,7 +39,7 @@
  libpng-dev,
  libxss-dev,
  libelf-dev,
- libvpx-dev,
+ libvpx-dev (>= 1.7.0),
  libpci-dev,
  libcap-dev,
  libdrm-dev,
@@ -54,18 +56,16 @@
  libjpeg-dev,
  libxml2-dev,
  libgtk-3-dev,
- libgtk2.0-dev,
  libxslt1-dev,
+ liblcms2-dev,
  libpulse-dev,
  libpam0g-dev,
  libsnappy-dev,
- libgconf2-dev,
  libavutil-dev,
  libavcodec-dev (>= 7:3.0),
  libavformat-dev,
  libglib2.0-dev,
  libasound2-dev,
- libsqlite3-dev,
  libjsoncpp-dev,
  libspeechd-dev (>= 0.8.4),
  libminizip-dev,
@@ -74,7 +74,6 @@
  libusb-1.0-0-dev,
  libopenjp2-7-dev,
  libmodpbase64-dev,
- libgnome-keyring-dev,
  libnss3-dev (>= 3.12.3),
  libnspr4-dev (>= 2:4.9),
  libcups2-dev (>= 1.5.0),
@@ -85,7 +84,7 @@
  libgcrypt20-dev,
  fonts-ipafont-gothic,
  fonts-ipafont-mincho,
-Standards-Version: 3.9.8
+Standards-Version: 4.2.1
 
 Package: chromium
 Architecture: i386 amd64 arm64 armhf
@@ -93,27 +92,21 @@
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
- x11-utils,
- xdg-utils,
-Recommends:
- libgl1-mesa-dri,
- fonts-liberation,
+ chromium-common (= ${binary:Version}),
 Suggests:
  chromium-l10n,
  chromium-shell,
  chromium-driver,
- chromium-widevine,
 Provides:
  www-browser,
  gnome-www-browser,
+Breaks:
+ chromium-lwn4chrome (<= 1.0-2),
+ chromium-tt-rss-notifier (<= 0.5.2-2),
 Conflicts:
  libnettle4,
  libsecret-1-0 (<< 0.18),
  libgl1-mesa-swx11,
-Breaks:
- chromium-common (<< ${binary:Version}),
-Replaces:
- chromium-common (<< ${binary:Version}),
 Description: web browser
  Web browser that aims to build a safer, faster, and more stable internet
  browsing experience.
@@ -140,25 +133,17 @@
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
+ chromium-common (= ${binary:Version}),
+Breaks:
+ chromium (<< ${binary:Version}),
+Replaces:
+ chromium (<< ${binary:Version}),
 Description: web browser - minimal shell
  Web browser that aims to build a safer, faster, and more stable internet
  browsing experience.
  .
  This package provides a minimal version of the chromium user interface
  (the content shell).
-
-Package: chromium-widevine
-Section: contrib/web
-Architecture: i386 amd64 arm64 armhf
-Depends:
- ${misc:Depends},
- ${shlibs:Depends},
- chromium (= ${binary:Version}),
-Description: web browser - widevine content decryption support
- Web browser that aims to build a safer, faster, and more stable internet
- browsing experience.
- .
- This package provides support for the widevine content decryption module.
 
 Package: chromium-driver
 Architecture: i386 amd64 arm64 armhf
@@ -173,13 +158,25 @@
  This package provides a bridge between the browser component and the selenium
  automatic webdriver.
 
-Package: chromedriver
+Package: chromium-common
 Architecture: i386 amd64 arm64 armhf
 Depends:
  ${misc:Depends},
- chromium-driver (= ${binary:Version}),
-Description: web browser - WebDriver support transitional package
+ x11-utils,
+ xdg-utils,
+Recommends:
+ upower,
+ libu2f-udev,
+ libgl1-mesa-dri,
+ fonts-liberation,
+ notification-daemon,
+Breaks:
+ chromium (<< ${binary:Version}),
+Replaces:
+ chromium (<< ${binary:Version}),
+Description: web browser - common resources used by the chromium packages
  Web browser that aims to build a safer, faster, and more stable internet
  browsing experience.
  .
- This is a transitional package and can be safely removed.
+ This package contains resources that are in common to different chromium
+ packages.
